import React from "react";
import InstagramIcon from "./social-icons/instagram";
import DiscordIcon from "./social-icons/discord";
import TelegramIcon from "./social-icons/telegram";
import TwitterIcon from "./social-icons/twitter";
import LinkedinIcon from "./social-icons/linkedin";

import {
  StyledFooter,
  SocialIconsList,
  PrivacyAndTerms,
} from "./footer.styled";
import { Body } from "@equilab/ui-curated";

export const SOCIAL_LINKS = [
  {
    Icon: LinkedinIcon,
    href: "https://www.linkedin.com/company/luminous-art-foundation/ ",
  },
];

const SocialIcon: React.FC<{
  Icon: React.FC<{ className?: string }>;
  href: string;
}> = ({ Icon, href }) => {
  return (
    <a href={href} target="_blank" rel="noreferrer">
      <Icon className="socialIcon" />
    </a>
  );
};

const Footer: React.FC = () => {
  return (
    <StyledFooter>
      <SocialIconsList>
        {SOCIAL_LINKS.map((l, idx) => (
          <SocialIcon key={idx} {...l} />
        ))}
      </SocialIconsList>
      <PrivacyAndTerms>
        <Body as="div">Privacy Policy</Body>
        <Body as="div">Terms of Use</Body>
      </PrivacyAndTerms>
    </StyledFooter>
  );
};

export default Footer;
